<?php $sectioncolor = get_sub_field( 'couleur_du_bloc' ); ?>
<?php $sectionpadding = get_sub_field( 'espacement_vertical' ); ?>
<?php $marge_interne_basse = get_sub_field( 'marge_interne_basse' ); ?>

<section class="<?php echo $sectioncolor . ' ' . $sectionpadding . ' ' . $marge_interne_basse ?>">
    <div class="container">

        <?php get_template_part('parts/acf_sectiontitle'); ?>

        <?php $color_titre = get_sub_field( 'couleur_titres_actus' ); ?>
        <div id="slider_actus" class="cards_slider">
                <?php
                     // Define our WP Query Parameters 
                     $query_options = array(
                         'posts_per_page' => 6,
                         'orderby' => 'menu_order'
                     );
                     $the_query = new WP_Query( $query_options );

                    if ($the_query -> have_posts()) : while ($the_query -> have_posts()) : $the_query -> the_post(); ?>

                        <?php
                        set_query_var( 'color_titre', $color_titre );
                        get_template_part('parts/template_card_actu');
                        ?>

                    <?php endwhile; endif;
                    wp_reset_postdata(); ?>
        </div>
        <div class="cta_wrapper">
            <div id="cards_slider_prev" class="slider_arrow inverted slider_actu">
                <div class="arrow w-embed">
                    <svg width="23" height="19" viewbox="0 0 23 19" fill="none" xmlns="http://www.w3.org/2000/svg" class="<?php the_sub_field( 'couleur_des_fleches' ); ?>">
                        <path d="M19.1667 9.5L0 9.5" stroke="#0A778D" stroke-width="3" stroke-miterlimit="10"></path>
                        <path d="M12.5 2L20 9.5L12.5 17" stroke="#0A778D" stroke-width="3" stroke-miterlimit="10"></path>
                    </svg>
                </div>
            </div>
            <a href="<?php echo esc_url( home_url( '/actualites/' ) ); ?>" class="cta <?php the_sub_field( 'couleur_du_bouton' ); ?> w-button">en voir +</a>
            <div id="cards_slider_next" class="slider_arrow slider_actu">
                <div class="arrow w-embed">
                    <svg width="23" height="19" viewbox="0 0 23 19" fill="none" xmlns="http://www.w3.org/2000/svg" class="<?php the_sub_field( 'couleur_des_fleches' ); ?>">
                        <path d="M19.1667 9.5L0 9.5" stroke="#0A778D" stroke-width="3" stroke-miterlimit="10"></path>
                        <path d="M12.5 2L20 9.5L12.5 17" stroke="#0A778D" stroke-width="3" stroke-miterlimit="10"></path>
                    </svg>
                </div>
            </div>
        </div>
        
    </div>
</section>
